[Scilab-users] Scilab 5.5.0 beta1 does not start under OSX 10.8

classic Classic list List threaded Threaded
7 messages Options
mottelet mottelet
Reply | Threaded
Open this post in threaded view
|

[Scilab-users] Scilab 5.5.0 beta1 does not start under OSX 10.8

Hello all,

The 5.5 beta seems to be broken :

# open /Applications/scilab-5.5.0-beta-1.app/
LSOpenURLsWithRole() failed with error -10810 for the file
/Applications/scilab-5.5.0-beta-1.app.

Trying to lauch the binary gives :

# /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab
dyld: Library not loaded: /sw/lib/libiconv.2.dylib
   Referenced from:
/Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
   Reason: Incompatible library version: libxml2.2.dylib requires
version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
/Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab: line
730: 11666 Trace/BPT trap: 5       /usr/libexec/java_home --request >
/dev/null
dyld: Library not loaded: /sw/lib/libiconv.2.dylib
   Referenced from:
/Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
   Reason: Incompatible library version: libxml2.2.dylib requires
version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
/Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab: line
911: 11669 Trace/BPT trap: 5       "$SCILABBIN" "$@"

S.
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Stanislav Stanislav
Reply | Threaded
Open this post in threaded view
|

Re: Scilab 5.5.0 beta1 does not start under OSX 10.8

02.10.2013 22:07, Stéphane Mottelet пишет:
> Hello all,
>
> The 5.5 beta seems to be broken :
>
Hi.
See http://bugzilla.scilab.org/show_bug.cgi?id=12947

Stanislav
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
pf pf
Reply | Threaded
Open this post in threaded view
|

Re: Scilab 5.5.0 beta1 does not start under OSX 10.8

Hi all,

5.5.0-beta-1, Linux-32, Ubuntu 12.04 -> without any problems.

With regards
Peter

On Wed, 2013-10-02 at 22:15 +0600, Станислав wrote:

> 02.10.2013 22:07, Stéphane Mottelet пишет:
> > Hello all,
> >
> > The 5.5 beta seems to be broken :
> >
> Hi.
> See http://bugzilla.scilab.org/show_bug.cgi?id=12947
>
> Stanislav
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Bruno JOFRET-3 Bruno JOFRET-3
Reply | Threaded
Open this post in threaded view
|

Re: Scilab 5.5.0 beta1 does not start under OSX 10.8

In reply to this post by mottelet
Hi,

Can you try this nightly [1] please ?

[1]
http://downloadarea.scilab.org/download/2013-10-04/scilab-master-1380893237-x86_64.dmg

On 10/02/2013 06:07 PM, Stéphane Mottelet wrote:

> Hello all,
>
> The 5.5 beta seems to be broken :
>
> # open /Applications/scilab-5.5.0-beta-1.app/
> LSOpenURLsWithRole() failed with error -10810 for the file
> /Applications/scilab-5.5.0-beta-1.app.
>
> Trying to lauch the binary gives :
>
> # /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab
> dyld: Library not loaded: /sw/lib/libiconv.2.dylib
>   Referenced from:
> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
>   Reason: Incompatible library version: libxml2.2.dylib requires
> version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab: line
> 730: 11666 Trace/BPT trap: 5       /usr/libexec/java_home --request >
> /dev/null
> dyld: Library not loaded: /sw/lib/libiconv.2.dylib
>   Referenced from:
> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
>   Reason: Incompatible library version: libxml2.2.dylib requires
> version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab: line
> 911: 11669 Trace/BPT trap: 5       "$SCILABBIN" "$@"
>
> S.
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users


--
Bruno JOFRET
Software Architect

Scilab Enterprises
143bis rue Yves Le Coz - 78000 Versailles, France
Phone: +33.1.80.77.04.69
http://www.scilab-enterprises.com

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
mottelet mottelet
Reply | Threaded
Open this post in threaded view
|

Re: Scilab 5.5.0 beta1 does not start under OSX 10.8

Same behaviour :

macmottelet-gi-0:Applications mottelet$
scilab-master-1380893237.app/Contents/MacOS/bin/scilab
dyld: Library not loaded:
@executable_path/../lib/thirdparty/10.6/libiconv.2.dylib
   Referenced from:
/Applications/scilab-master-1380893237.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
   Reason: Incompatible library version: libxml2.2.dylib requires
version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
scilab-master-1380893237.app/Contents/MacOS/bin/scilab: line 730: 14253
Trace/BPT trap: 5       /usr/libexec/java_home --request > /dev/null
dyld: Library not loaded: /sw/lib/libiconv.2.dylib
   Referenced from:
/Applications/scilab-master-1380893237.app/Contents/MacOS/bin/scilab-bin
   Reason: Incompatible library version: scilab-bin requires version
8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
scilab-master-1380893237.app/Contents/MacOS/bin/scilab: line 911: 14256
Trace/BPT trap: 5       "$SCILABBIN" "$@"

S.

Le 04/10/13 17:46, Bruno JOFRET a écrit :

> Hi,
>
> Can you try this nightly [1] please ?
>
> [1]
> http://downloadarea.scilab.org/download/2013-10-04/scilab-master-1380893237-x86_64.dmg
>
> On 10/02/2013 06:07 PM, Stéphane Mottelet wrote:
>> Hello all,
>>
>> The 5.5 beta seems to be broken :
>>
>> # open /Applications/scilab-5.5.0-beta-1.app/
>> LSOpenURLsWithRole() failed with error -10810 for the file
>> /Applications/scilab-5.5.0-beta-1.app.
>>
>> Trying to lauch the binary gives :
>>
>> # /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab
>> dyld: Library not loaded: /sw/lib/libiconv.2.dylib
>>   Referenced from:
>> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
>>   Reason: Incompatible library version: libxml2.2.dylib requires
>> version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
>> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab: line
>> 730: 11666 Trace/BPT trap: 5       /usr/libexec/java_home --request >
>> /dev/null
>> dyld: Library not loaded: /sw/lib/libiconv.2.dylib
>>   Referenced from:
>> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
>>   Reason: Incompatible library version: libxml2.2.dylib requires
>> version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
>> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab: line
>> 911: 11669 Trace/BPT trap: 5       "$SCILABBIN" "$@"
>>
>> S.
>> _______________________________________________
>> users mailing list
>> [hidden email]
>> http://lists.scilab.org/mailman/listinfo/users
>
>

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Bruno JOFRET-3 Bruno JOFRET-3
Reply | Threaded
Open this post in threaded view
|

Re: Scilab 5.5.0 beta1 does not start under OSX 10.8

Ok last try before week-end :
http://downloadarea.scilab.org/download/2013-10-04/scilab-master-1380896469-x86_64.dmg

If this one works can you try something with "umfpack" ?
(It should complain about dlopen)

Thx

On 10/04/2013 06:01 PM, Stéphane Mottelet wrote:

> Same behaviour :
>
> macmottelet-gi-0:Applications mottelet$
> scilab-master-1380893237.app/Contents/MacOS/bin/scilab
> dyld: Library not loaded:
> @executable_path/../lib/thirdparty/10.6/libiconv.2.dylib
>   Referenced from:
> /Applications/scilab-master-1380893237.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
>   Reason: Incompatible library version: libxml2.2.dylib requires
> version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
> scilab-master-1380893237.app/Contents/MacOS/bin/scilab: line 730:
> 14253 Trace/BPT trap: 5       /usr/libexec/java_home --request >
> /dev/null
> dyld: Library not loaded: /sw/lib/libiconv.2.dylib
>   Referenced from:
> /Applications/scilab-master-1380893237.app/Contents/MacOS/bin/scilab-bin
>   Reason: Incompatible library version: scilab-bin requires version
> 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
> scilab-master-1380893237.app/Contents/MacOS/bin/scilab: line 911:
> 14256 Trace/BPT trap: 5       "$SCILABBIN" "$@"
>
> S.
>
> Le 04/10/13 17:46, Bruno JOFRET a écrit :
>> Hi,
>>
>> Can you try this nightly [1] please ?
>>
>> [1]
>> http://downloadarea.scilab.org/download/2013-10-04/scilab-master-1380893237-x86_64.dmg
>>
>> On 10/02/2013 06:07 PM, Stéphane Mottelet wrote:
>>> Hello all,
>>>
>>> The 5.5 beta seems to be broken :
>>>
>>> # open /Applications/scilab-5.5.0-beta-1.app/
>>> LSOpenURLsWithRole() failed with error -10810 for the file
>>> /Applications/scilab-5.5.0-beta-1.app.
>>>
>>> Trying to lauch the binary gives :
>>>
>>> # /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab
>>> dyld: Library not loaded: /sw/lib/libiconv.2.dylib
>>>   Referenced from:
>>> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
>>>   Reason: Incompatible library version: libxml2.2.dylib requires
>>> version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
>>> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab:
>>> line 730: 11666 Trace/BPT trap: 5       /usr/libexec/java_home
>>> --request > /dev/null
>>> dyld: Library not loaded: /sw/lib/libiconv.2.dylib
>>>   Referenced from:
>>> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/lib/thirdparty/libxml2.2.dylib
>>>   Reason: Incompatible library version: libxml2.2.dylib requires
>>> version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0
>>> /Applications/scilab-5.5.0-beta-1.app/Contents/MacOS/bin/scilab:
>>> line 911: 11669 Trace/BPT trap: 5       "$SCILABBIN" "$@"
>>>
>>> S.
>>> _______________________________________________
>>> users mailing list
>>> [hidden email]
>>> http://lists.scilab.org/mailman/listinfo/users
>>
>>
>
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users


--
Bruno JOFRET
Software Architect

Scilab Enterprises
143bis rue Yves Le Coz - 78000 Versailles, France
Phone: +33.1.80.77.04.69
http://www.scilab-enterprises.com

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Stéphane Mottelet Stéphane Mottelet
Reply | Threaded
Open this post in threaded view
|

Re: Scilab 5.5.0 beta1 does not start under OSX 10.8

CONTENTS DELETED
The author has deleted this message.